%{bcond_with perl_YAML_Tiny_enables_JSON_MaybeX_test}
Name:           perl-YAML-Tiny
Version:        1.74
Release:        1
Summary:        Read/Write YAML files with as little code as possible
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/YAML-Tiny
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/YAML-Tiny-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(B) perl(Carp) perl(Exporter) perl(Fcntl) perl(Scalar::Util) perl(strict)
BuildRequires:  perl(blib) perl(CPAN::Meta) >= 2.120900 perl(File::Basename) perl(File::Find)
BuildRequires:  perl(File::Spec) >= 0.80 perl(File::Spec::Functions) perl(File::Temp) >= 0.19 perl(Getopt::Long) perl(IO::Dir)
%if %{with perl_YAML_Tiny_enables_JSON_MaybeX_test}
BuildRequires:  perl(JSON::MaybeXS) >= 1.001000
%endif
BuildRequires:  perl(JSON::PP) perl(lib) perl(List::Util) perl(Test::More) >= 0.88 perl(utf8)
BuildRequires:  perl(vars) perl(warnings) perl(YAML)
#BuildRequires: perl(YAML::Syck) perl(YAML::XS)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) perl(Exporter) perl(Fcntl) perl(Scalar::Util)

%description
YAML::Tiny is a Perl class for reading and writing YAML-style files,
Read/Write YAML files with as little code as possible

%package help
Summary:   Introduce how to use YAML::Tiny

%description help
Introduce how to use YAML::Tiny

%prep
%autosetup  -n YAML-Tiny-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/YAML/

%files help
%doc Changes CONTRIBUTING README
%{_mandir}/man3/YAML::Tiny.3*

%changelog
* Thu Jun 15 2023 wulei <wu_lei@hoperun.com> - 1.74-1
- Update to 1.74

* Wed Nov 20 2019 yangjian<yangjian79@huawei.com> - 1.73-4
- Package init
